Foreman - Bug #14232

Missing variable to include Sat 6 Hostname in PXE Menus

03/16/2016 10:22 AM - Marek Huléan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: TFTP
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1264916 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3335
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1264916
Description of problem:

We have multiple Sat6 servers. Currently from the PXE menu it is hard to distinguish between them.
There is no variable to include in the PXE Menu Title, e.g. in "PXELinux global default", to has the Saté Hostname.

Version-Release number of selected component (if applicable):
How reproducible:

Steps to Reproduce:

1. Have the Sat6 Hostname rendered from template variable in the PXE Menu title

DEFAULT menu

PROMPT 0

MENU TITLE Kickstart - <%= foreman_server %>
2.
3.

Actual results:
Missing the foreman_server name

Expected results:
Foreman Server name is included in the template

Additional info:

Related issues:

Related to Foreman - Bug #11723: Build PXE Default fails with error

Related to Foreman - Feature #7828: Provide base URL of Foreman via foreman_url
Related to Foreman - Bug #10592: Snippets do not appear to work in "PXELinux ...

Closed
Associated revisions

Revision ed4ed4a0d - 03/22/2016 08:16 AM - Marek Hulan

Fixes #14232 - make generic helpers available for global PXE template

History

#1 - 03/16/2016 11:38 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3335 added

#2 - 03/16/2016 11:39 AM - Marek Hulan

05/18/2024
https://bugzilla.redhat.com/show_bug.cgi?id=1264916

- Category set to TFTP

There's no reason to disallow generic helpers (snippet, foreman_url etc) when rendering global pxe template which is uploaded to TFTP.

#3 - 03/16/2016 11:54 AM - Dominic Cleal
- Related to Bug #11723: Build PXE Default fails with error added

#4 - 03/16/2016 01:05 PM - Marek Hulan

- Related to Feature #7828: Provide base URL of Foreman via foreman_url added

#5 - 03/21/2016 06:52 AM - Lukas Zapletal
Also fixes BZ 1176111

#6 - 03/22/2016 08:19 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#7 - 03/22/2016 09:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e4ed4a0db4d60f68183b5ef3bff13e136af684e6.

#8 - 04/04/2016 04:06 AM - Dominic Cleal
- Related to Bug #10592: Snippets do not appear to work in "PXELinux global default" template added

05/18/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e4ed4a0db4d60f68183b5ef3bff13e136af684e6
http://www.tcpdf.org

